List external legal entities
curl --request GET \
--url https://api.entendre.finance/v1/connections/{connection_id}/external-entities \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/connections/{connection_id}/external-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/connections/{connection_id}/external-entities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"external_id": "1",
"entity_name": "Example Company",
"address": null,
"currency": null,
"integration_type": null,
"realm_id": "ref_507f1f77bcf86cd799439011",
"entity_type": null,
"status": null,
"created_at": null,
"updated_at": null
}
],
"has_more": false,
"next_cursor": null,
"count": 1
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or expired API Key",
"request_id": "req_example",
"suggested_action": "Send an API key in X-API-Key, or an OAuth access token as Authorization: Bearer. Refresh an expired access token.",
"documentation_url": "https://entendre.ai/docs/get-started/authentication"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}GL Mapping
List external entities
Lists the provider entities cached for one connection.
GET
/
v1
/
connections
/
{connection_id}
/
external-entities
List external legal entities
curl --request GET \
--url https://api.entendre.finance/v1/connections/{connection_id}/external-entities \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/connections/{connection_id}/external-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/connections/{connection_id}/external-entities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"external_id": "1",
"entity_name": "Example Company",
"address": null,
"currency": null,
"integration_type": null,
"realm_id": "ref_507f1f77bcf86cd799439011",
"entity_type": null,
"status": null,
"created_at": null,
"updated_at": null
}
],
"has_more": false,
"next_cursor": null,
"count": 1
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or expired API Key",
"request_id": "req_example",
"suggested_action": "Send an API key in X-API-Key, or an OAuth access token as Authorization: Bearer. Refresh an expired access token.",
"documentation_url": "https://entendre.ai/docs/get-started/authentication"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Use
external_id when you set an entity mapping. Omit limit and cursor to return every record, or pass limit and cursor to paginate.Authorizations
Your organization API key. See Authentication.
Path Parameters
ID of the connection.
Minimum string length:
1Query Parameters
Maximum number of records to return. Omit limit and cursor to get every record.
Required range:
1 <= x <= 100The next_cursor value from the previous page. Keep the other filters unchanged.
Filter by entity status in the general ledger. GL connections only.
Response
The request succeeded.